<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="urn:unit-c.fr:schema:academic:v1" xmlns:db="urn:unit-c.fr:schema:docbook:v1"
	exclude-result-prefixes="sc sp op db">
	
	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:unit.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:gallery">
		<xsl:call-template name="tLogWarning">
			<xsl:with-param name="pMessage">Il n&apos;y a pas de correspondance à la galerie dans
				UNIT. Elle a été mise à plat.</xsl:with-param>
		</xsl:call-template>
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="op:galleryM">
		<db:text>
			<db:simpara>
				<db:emphasis>
					<xsl:value-of select="getFullTitleText(currentModel())" disable-output-escaping="yes"/>
				</db:emphasis>
			</db:simpara>
		</db:text>
	</xsl:template>
	
	<xsl:template match="sp:img">
		<xsl:variable name="vExtension">
			<xsl:call-template name="tExtension">
				<xsl:with-param name="pFilename" select="extractFileNameFromPath(@sc:refUri)" />
			</xsl:call-template>
		</xsl:variable>
		
		<bitmapImage>
			<xsl:choose>
				<!-- Conversion en png des gifs -->
				<xsl:when test="$vExtension = 'gif'">
					<xsl:call-template name="tRefUriAttr">
						<xsl:with-param name="pAxis">pagePng</xsl:with-param>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="tRefUriAttr" />
				</xsl:otherwise>
			</xsl:choose>
		</bitmapImage>
	</xsl:template>

</xsl:stylesheet>
