<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns:dc="urn:unit-c.fr:schema:dublincore:v1" xmlns="urn:unit-c.fr:schema:academic:v1"
	exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:unit.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:exeM">
		<title>
			<xsl:choose>
				<xsl:when test="sp:title">
					<xsl:apply-templates select="sp:title" />
				</xsl:when>
				<xsl:otherwise>
					<fullTitle>
						<xsl:call-template name="tItemLabelTitle" />
					</fullTitle>
				</xsl:otherwise>
			</xsl:choose>
		</title>

		<xsl:choose>
			<xsl:when test="not(sp:info)">
				<xsl:variable name="vAuthor" select="normalize-space(getContent(rootModel(), 'auth'))" />
				<xsl:choose>
					<xsl:when test="string-length($vAuthor)">
						<dc:head>
							<xsl:value-of select="$vAuthor" disable-output-escaping="yes" />
						</dc:head>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="tLogFatal">
							<xsl:with-param name="pMessage">UNIT requiert la définition d&apos;au moins un
								auteur sur les éléments de structure. Veuillez renseigner cette information
								sur le module.</xsl:with-param>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>

			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="sp:info" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="sp:title">
		<fullTitle>
			<xsl:value-of select="." />
		</fullTitle>
	</xsl:template>

	<xsl:template match="sp:info">
		<xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes" />
	</xsl:template>

</xsl:stylesheet>
